Subject: Academ version of wu-ftpd 2.4 Release 2 is available
From: [email-masked] (Stan Barber)
To: [email-masked],[email-masked]

Release 2 is now available. It has been tested on the following systems:

BSD/OS 3.1
BSDI BSD/386 1.1
FreeBSD 2.2.7-RELEASE
Slackware Linux 96 (3.1)
Slackware Linux 3.3
Redhat Linux 5.1
Redhat Linux 5.2
SCO Open Server 5
Solaris 2.4 x86 (gcc  2.7.2.1)
Solaris 2.5.1 x86 (gcc  2.7.2.3)
Solaris 2.5.1 sparc (SunC  3.0.1)
Solaris 2.6 sparc (SunC 3.0.1)
Solaris 2.6 sparc (gcc  2.7.2.3)
Solaris 2.6 x86 (gcc 2.7.2.3)
SunOS 4.1.4 sparc (bundled cc)
UnixWare 2.1.1 

If hardware companies wish to donate equipment running their proprietary
UNIX derivatives to me for doing maintenance work on this and the other
packages I maintain (NNTP, RN, etc), please contact me directly to discuss.

If software companies that sell UNIX derivatives I don't to which I don't
have access wish to donain copies of their UNIX derivative to me for the
purposes of doing maintenace work on this and the other packages I maintain,
please contact me directly to discuss.

This version is the final release.

The location is: 
	ftp://ftp.academ.com/pub/wu-ftpd/wu-ftpd-2.4.2.tar.Z

You can also check http://www.academ.com/academ/wu-ftpd for more information.

-------------------------------------------------------------------------------
The major fix in this release is to address the problems referred to in CERT
Advisory CA-99-03-FTP-Buffer-Overflows. This involved fixes to the real_path
subroutine as well as changes in the size of the buffers used when calling
this routine.
------------------------------------------------------------------------------
Some changes were made to address some problem compiling on Digital Unix
that were provided by Reiner Dassing. As I have no access to this operating
system, I can't be sure they do anything useful, but they are there none
the less.
------------------------------------------------------------------------------
Jeff Laing provide a fix to help address a precedence problem involving the
PORT command.
------------------------------------------------------------------------------
Ian Willis offered a number of fixes. Those are included in this version:
	o fixed a memory allocation/free problem in acl.o
	o fixed some remaining problems in the proctitle subroutines
        o fixed some documentation problems in the manual pages
        o fixed an off-by-one problem in ftpcount.c
        o fixed a bug in getaclentry so that previously defined values are
          not reused
        o fixed a problem in the receive_data subroutine
------------------------------------------------------------------------------